package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.biz.dal.entity.ClassGroup;

/**
 * 提交班
 */
public class HighClassGroup extends ClassGroup {

	@ApiModelProperty(value = "教师user_id",required = true)
	private Integer userId;

	@ApiModelProperty(value = "星期几",required = true)
	private String dayOfWeek;

	@ApiModelProperty(value = "开始时间",required = true)
	private Date startClassTime;

	@ApiModelProperty(value = "结束时间",required = true)
	private Date endClassTime;

	@ApiModelProperty(value = "开始日期", required = true)
	private Date StartDate;

	@ApiModelProperty(value = "排课次数", required = true)
	private Integer courseTimes;



	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public Date getStartClassTime() {
		return startClassTime;
	}

	public void setStartClassTime(Date startClassTime) {
		this.startClassTime = startClassTime;
	}

	public Date getEndClassTime() {
		return endClassTime;
	}

	public void setEndClassTime(Date endClassTime) {
		this.endClassTime = endClassTime;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

	public String getDayOfWeek() {
		return dayOfWeek;
	}

	public void setDayOfWeek(String dayOfWeek) {
		this.dayOfWeek = dayOfWeek;
	}

	public Date getStartDate() {
		return StartDate;
	}

	public void setStartDate(Date startDate) {
		StartDate = startDate;
	}

	public Integer getCourseTimes() {
		return courseTimes;
	}

	public void setCourseTimes(Integer courseTimes) {
		this.courseTimes = courseTimes;
	}
}
